curl --request POST \
--url https://api-sandbox.circle.com/v1/accounts/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "verified_blockchain",
"addressId": "f1f36b85-cafe-484e-a46b-02340bfdb927"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/accounts/transfers"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"type": "verified_blockchain",
"addressId": "f1f36b85-cafe-484e-a46b-02340bfdb927"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
destination: {type: 'verified_blockchain', addressId: 'f1f36b85-cafe-484e-a46b-02340bfdb927'},
amount: {amount: '3.14', currency: 'USD'},
riskSignals: {
ipAddress: '203.0.113.42',
sessionId: '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
deviceId: '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
}
})
};
fetch('https://api-sandbox.circle.com/v1/accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"source": {
"type": "account",
"id": "1000662322"
},
"destination": {
"type": "blockchain",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
"chain": "ALGO",
"addressTag": "123456789"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"status": "pending",
"fees": [
{
"amount": "10.00",
"currency": "USD",
"type": "network"
}
],
"transactionHash": "0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63",
"errorCode": "transfer_failed",
"createDate": "2023-11-07T05:31:56Z"
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Create an account transfer
Create a transfer from an account to a verified blockchain address or another account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
The destination of a transfer. Can be a verified blockchain address or another account.
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Client-collected risk metadata for the end user initiating the request. All three fields must be present.
Show child attributes
Show child attributes
The source of the transfer. The type must be account.
Show child attributes
Show child attributes
Response
Successfully created a transfer.
A transfer of funds returned by the create transfer endpoint.
Show child attributes
Show child attributes
Was this page helpful?